## clingcon-5.2.0.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

file(READ "libclingcon/clingcon.h" main)
string(REGEX MATCH "#define CLINGCON_VERSION \"([^\"]*)\"" clingov ${main})

project(CLINGCON VERSION "${CMAKE_MATCH_1}" LANGUAGES C CXX)
if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()
if (NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
    message(STATUS "No build type selected - using 'Release'")
    set(CMAKE_BUILD_TYPE "Release")
endif()

# Enable folders in IDEs like Visual Studio
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS ON)

include(GNUInstallDirs)
include(CMakeDependentOption)

option(CLINGCON_MANAGE_RPATH "set rpath if not installed into system directory" ON)
option(CLINGCON_BUILD_TESTS "build tests" OFF)
option(CLINGCON_BUILD_SHARED "build clingcon library shared" ON)

set(PYCLINGCON_ENABLE "auto" CACHE STRING "build with python support: OFF, auto, require, pip
auto: enable python support if python is available
require: enable python support and fails if python is not available
pip: enable python support and link against the clingo python module")
set(PYCLINGCON_INSTALL "prefix" CACHE STRING "configure where to install python module: user, system, prefix
user: install into user prefix
system: install into python library
prefix: install into install prefix")
set(PYCLINGCON_PIP_PATH "" CACHE STRING "path to clingo pip package")
set(PYCLINGCON_SUFFIX "" CACHE STRING "suffix for python module")
set(PYCLINGCON_INSTALL_DIR "" CACHE STRING "path where to install python module")

mark_as_advanced(CLINGCON_BUILD_SHARED)
mark_as_advanced(PYCLINGCON_PIP_PATH)
mark_as_advanced(PYCLINGCON_SUFFIX)
mark_as_advanced(PYCLINGCON_INSTALL_DIR)

if (MSVC)
    set(VC_RELEASE_LINK_OPTIONS /LTCG)
    SET(CMAKE_EXE_LINKER_FLAGS_RELEASE    "${CMAKE_EXE_LINKER_FLAGS_RELEASE}    ${VC_RELEASE_LINK_OPTIONS}")
    SET(CMAKE_MODULE_LINKER_FLAGS_RELEASE "${CMAKE_MODULE_LINKER_FLAGS_RELEASE} ${VC_RELEASE_LINK_OPTIONS}")
    SET(CMAKE_SHARED_LINKER_FLAGS_RELEASE "${CMAKE_SHARED_LINKER_FLAGS_RELEASE} ${VC_RELEASE_LINK_OPTIONS}")
    SET(CMAKE_STATIC_LINKER_FLAGS_RELEASE "${CMAKE_STATIC_LINKER_FLAGS_RELEASE} ${VC_RELEASE_LINK_OPTIONS}")
    add_compile_options("/wd4244" "/wd4267" "/wd26451")
    add_definitions("-D_SILENCE_ALL_CXX17_DEPRECATION_WARNINGS")
endif()

if (POLICY CMP0063 AND CLINGCON_BUILD_SHARED)
    set(CMAKE_CXX_VISIBILITY_PRESET hidden)
    set(CMAKE_C_VISIBILITY_PRESET hidden)
endif()

enable_testing()

if (CLINGCON_MANAGE_RPATH)
    set(CMAKE_SKIP_BUILD_RPATH FALSE)
    set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
    set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
    list(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_FULL_LIBDIR}" isSystemDir)
    if ("${isSystemDir}" STREQUAL "-1")
        set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}")
    endif()
endif()

if (NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
endif()
if (NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
endif()
if (NOT CMAKE_RUNTIME_OUTPUT_DIRECTORY)
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)
endif()
if (NOT CMAKE_IMPORT_LIBRARY_PREFIX)
    set(CMAKE_IMPORT_LIBRARY_PREFIX import_)
endif()

add_subdirectory(third_party)

if (PYCLINGCON_ENABLE)
    if(NOT PYCLINGCON_ENABLE STREQUAL "pip" AND (CMAKE_VERSION VERSION_GREATER "3.15.0" OR CMAKE_VERSION VERSION_EQUAL "3.15.0"))
        if(DEFINED PYTHON_EXECUTABLE AND NOT DEFINED Python_EXECUTABLE)
            set(Python_EXECUTABLE "${PYTHON_EXECUTABLE}")
        endif()
        if(DEFINED PYTHON_INCLUDE_DIR AND NOT DEFINED Python_INCLUDE_DIR)
            set(Python_INCLUDE_DIR "${PYTHON_INCLUDE_DIR}")
        endif()
        if(DEFINED PYTHON_LIBRARY AND NOT DEFINED Python_LIBRARY)
            set(Python_LIBRARY "${PYTHON_LIBRARY}")
        endif()
        if (POLICY CMP0094)
            cmake_policy(SET CMP0094 NEW)
        endif()
        set(_args Interpreter)
        set(_args ${_args} Development)
        if (PYCLINGCON_ENABLE STREQUAL "require" OR PYCLINGCON_ENABLE STREQUAL "pip")
            set(_args ${_args} REQUIRED)
        endif()
        find_package(Python COMPONENTS ${_args})
    else()
        set(_args)
        if (PYCLINGCON_ENABLE STREQUAL "require" OR PYCLINGCON_ENABLE STREQUAL "pip")
            set(_args ${_args} REQUIRED)
        endif()
        find_package(PythonInterp ${_args})
        find_package(PythonLibs ${_args})
        set(Python_EXECUTABLE "${PYTHON_EXECUTABLE}")
        if (PYTHONLIBS_FOUND)
            add_library(Python::Python INTERFACE IMPORTED)
            add_library(Python::Module INTERFACE IMPORTED)
            set(Python_Development_FOUND ON)
            set(Python_INCLUDE_DIRS "${PYTHON_INCLUDE_DIRS}")
            set(Python_VERSION "${PYTHONLIBS_VERSION_STRING}")
            set_property(TARGET Python::Python PROPERTY INTERFACE_INCLUDE_DIRECTORIES "${PYTHON_INCLUDE_DIRS}")
            set_property(TARGET Python::Module PROPERTY INTERFACE_INCLUDE_DIRECTORIES "${PYTHON_INCLUDE_DIRS}")
            set_property(TARGET Python::Python PROPERTY INTERFACE_LINK_LIBRARIES "${PYTHON_LIBRARIES}")
            if (MSVC) 
                set_property(TARGET Python::Module PROPERTY INTERFACE_LINK_LIBRARIES "${PYTHON_LIBRARIES}")
            endif()
        endif()
    endif()
endif()

if (PYCLINGCON_ENABLE STREQUAL "pip")
    if (NOT CLINGCON_BUILD_SHARED)
        message(FATAL_ERROR "building against the pip package requires CLINGCON_BUILD_SHARED.")
    endif()
    add_library(libclingo INTERFACE)
    if (NOT PYCLINGCON_PIP_PATH)
        execute_process(COMMAND ${Python_EXECUTABLE} ${CLINGCON_SOURCE_DIR}/cmake/python-site.py clingo OUTPUT_VARIABLE PYCLINGCON_PIP_PATH OUTPUT_STRIP_TRAILING_WHITESPACE)
    endif()
    file(TO_CMAKE_PATH "${PYCLINGCON_PIP_PATH}" _PYCLINGCON_PIP_PATH)
    target_include_directories(libclingo INTERFACE "${_PYCLINGCON_PIP_PATH}")
    if (WIN32)
        target_link_libraries(libclingo INTERFACE "${_PYCLINGCON_PIP_PATH}/import__clingo.lib")
    elseif (APPLE)
        target_link_options(libclingo INTERFACE "-undefined" "dynamic_lookup")
    endif()
    add_subdirectory(libclingcon)
    add_subdirectory(libpyclingcon)
else()
    find_package(Clingo REQUIRED)
    add_subdirectory(libclingcon)
    if (PYCLINGCON_ENABLE AND Python_Development_FOUND)
        add_subdirectory(libpyclingcon)
    endif()
    add_subdirectory(app)
endif()

=== Makefile ===
BUILD_TYPE:=debug
CLINGO_DIR:=${HOME}/.local/opt/potassco/$(BUILD_TYPE)/lib/cmake/Clingo
CLANG_TIDY_WARNINGS:=clang-analyzer-*,readability-*,modernize-*,cppcoreguidelines-*,performance-*,bugprone-*,-modernize-use-trailing-return-type,-cppcoreguidelines-pro-bounds-array-to-pointer-decay,-readability-magic-numbers,-cppcoreguidelines-pro-type-union-access,-bugprone-suspicious-semicolon,-readability-braces-around-statements,-cppcoreguidelines-pro-type-vararg,-readability-identifier-length,-readability-function-cognitive-complexity,-bugprone-easily-swappable-parameters,-readability-convert-member-functions-to-static
CLANG_TIDY_ERRORS:=
CLANG_TIDY:=clang-tidy;--extra-arg-before=-stdlib=libc++;-header-filter=.*hh;-checks=$(CLANG_TIDY_WARNINGS);-warnings-as-errors=$(CLANG_TIDY_ERRORS)
CXXFLAGS=-Wall -Wextra -Wpedantic -Werror

.PHONY: all configure compdb

all: configure
	@MAKEFLAGS= MFLAGS= cmake --build "build/$(BUILD_TYPE)" --target all

%: configure
	@cmake --build "build/$(BUILD_TYPE)" --target "$@"

# compdb can be installed with pip
compdb: configure
	compdb -p "build/$(BUILD_TYPE)" list -1 > compile_commands.json

configure: build/$(BUILD_TYPE)/build.ninja

build/$(BUILD_TYPE)/build.ninja:
	cmake -G Ninja -H. -B"build/$(BUILD_TYPE)" -DCMAKE_INSTALL_PREFIX=${HOME}/.local/opt/potassco/$(BUILD_TYPE) -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" -DCMAKE_BUILD_TYPE="$(BUILD_TYPE)" -DCMAKE_CXX_CLANG_TIDY:STRING="$(CLANG_TIDY)" -DClingo_DIR="$(CLINGO_DIR)" -DCLINGCON_BUILD_TESTS=On -DCMAKE_EXPORT_COMPILE_COMMANDS=On

Makefile:
	:

=== libclingcon/CMakeLists.txt ===
# [[[header: .
set(ide_header_group "Header Files")
set(header-group
    "${CMAKE_CURRENT_SOURCE_DIR}/clingcon.h")
source_group("${ide_header_group}" FILES ${header-group})
set(header-group-clingcon
    "${CMAKE_CURRENT_SOURCE_DIR}/clingcon/base.hh"
    "${CMAKE_CURRENT_SOURCE_DIR}/clingcon/constraints.hh"
    "${CMAKE_CURRENT_SOURCE_DIR}/clingcon/parsing.hh"
    "${CMAKE_CURRENT_SOURCE_DIR}/clingcon/propagator.hh"
    "${CMAKE_CURRENT_SOURCE_DIR}/clingcon/solver.hh"
    "${CMAKE_CURRENT_SOURCE_DIR}/clingcon/util.hh")
source_group("${ide_header_group}\\clingcon" FILES ${header-group-clingcon})
set(header
    ${header-group}
    ${header-group-clingcon})
# ]]]
# [[[source: src
set(ide_source_group "Source Files")
set(source-group
    "${CMAKE_CURRENT_SOURCE_DIR}/src/clingcon.cc"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/constraints.cc"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/parsing.cc"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/propagator.cc"
    "${CMAKE_CURRENT_SOURCE_DIR}/src/solver.cc")
source_group("${ide_source_group}" FILES ${source-group})
set(source
    ${source-group})
# ]]]

if (PYCLINGCON_ENABLE STREQUAL "pip")
    set(clingcon_build_interface ON)
else()
    set(clingcon_build_interface OFF)
endif()

set(clingcon_public_scope_ PUBLIC)
set(clingcon_private_scope_ PRIVATE)
if (CLINGCON_BUILD_SHARED)
    set(clingcon_lib_type SHARED)
    if (clingcon_build_interface)
        set(clingcon_lib_type INTERFACE)
        set(clingcon_public_scope_ INTERFACE)
        set(clingcon_private_scope_ INTERFACE)
    endif()
else()
    set(clingcon_lib_type STATIC)
endif()

add_library(libclingcon ${clingcon_lib_type})
target_sources(libclingcon ${clingcon_private_scope_} ${header} ${source})
target_include_directories(libclingcon ${clingcon_public_scope_} "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")
target_compile_definitions(libclingcon ${clingcon_private_scope_} CLINGCON_BUILD_LIBRARY)

if (CLINGCON_BUILD_SHARED AND NOT clingcon_build_interface)
    set_target_properties(libclingcon PROPERTIES POSITION_INDEPENDENT_CODE ON)
endif()
target_link_libraries(libclingcon ${clingcon_public_scope_} libclingo)
target_link_libraries(libclingcon ${clingcon_private_scope_} libwide-integer)
if (NOT CLINGCON_BUILD_SHARED)
    target_compile_definitions(libclingcon ${clingcon_public_scope_} CLINGCON_NO_VISIBILITY)
elseif(NOT clingcon_build_interface)
    set_target_properties(libclingcon PROPERTIES PUBLIC_HEADER clingcon.h)
    install(TARGETS libclingcon
        EXPORT ClingconTargets
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

    install(EXPORT ClingconTargets
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Clingcon)

    include(CMakePackageConfigHelpers)
    configure_package_config_file(
        ${PROJECT_SOURCE_DIR}/cmake/ClingconConfig.cmake.in
        ${CMAKE_CURRENT_BINARY_DIR}/ClingconConfig.cmake
        INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Clingcon)
    write_basic_package_version_file(
        ${CMAKE_CURRENT_BINARY_DIR}/ClingconConfigVersion.cmake
        COMPATIBILITY SameMajorVersion)
    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ClingconConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/ClingconConfigVersion.cmake
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Clingcon)
endif()
if (NOT clingcon_build_interface)
    set_target_properties(libclingcon PROPERTIES
        OUTPUT_NAME clingcon
        LIBRARY_OUTPUT_NAME clingcon
        FOLDER lib)
endif()

if (CLINGCON_BUILD_TESTS)
    # NOTE: we build statically without hiding symbols
    add_library(libclingcon_t STATIC ${header} ${source})
    target_include_directories(libclingcon_t PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>")
    target_compile_definitions(libclingcon_t PUBLIC CLINGCON_NO_VISIBILITY)
    target_link_libraries(libclingcon_t PUBLIC libwide-integer libclingo)
    set_target_properties(libclingcon_t PROPERTIES
        OUTPUT_NAME clingcon_t
        LIBRARY_OUTPUT_NAME clingcon_t
        FOLDER lib)
    add_subdirectory(tests)
endif()

=== libpyclingcon/CMakeLists.txt ===
# [[[source: .
set(ide_source_group "Source Files")
set(source-group
    "${CMAKE_CURRENT_SOURCE_DIR}/_clingcon.c")
source_group("${ide_source_group}" FILES ${source-group})
set(source
    ${source-group})
# ]]]

if (NOT PYCLINGCON_INSTALL_DIR AND Python_EXECUTABLE)
    if (PYCLINGCON_INSTALL STREQUAL "user")
        execute_process(COMMAND ${Python_EXECUTABLE} ${CLINGCON_SOURCE_DIR}/cmake/python-site.py site OUTPUT_VARIABLE PYCLINGCON_INSTALL_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
    elseif(PYCLINGCON_INSTALL STREQUAL "prefix")
        execute_process(COMMAND ${Python_EXECUTABLE} ${CLINGCON_SOURCE_DIR}/cmake/python-site.py prefix "${CMAKE_INSTALL_PREFIX}" OUTPUT_VARIABLE PYCLINGCON_INSTALL_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
    else()
        execute_process(COMMAND ${Python_EXECUTABLE} ${CLINGCON_SOURCE_DIR}/cmake/python-site.py prefix OUTPUT_VARIABLE PYCLINGCON_INSTALL_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
    endif()
endif()

if (NOT PYCLINGCON_SUFFIX)
    if (Python_EXECUTABLE)
        execute_process(COMMAND ${Python_EXECUTABLE} ${CLINGCON_SOURCE_DIR}/cmake/python-site.py suffix OUTPUT_VARIABLE PYCLINGCON_SUFFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
    else()
        if (CYGWIN)
            set(PYCLINGCON_SUFFIX ".dll")
        elseif (UNIX)
            set(PYCLINGCON_SUFFIX ".so")
        else()
            set(PYCLINGCON_SUFFIX ".pyd")
        endif()
    endif()
endif()

if (PYCLINGCON_ENABLE STREQUAL "pip")
    add_library(pyclingcon SHARED ${source})
else()
    add_library(pyclingcon MODULE ${source})
endif()
target_link_libraries(pyclingcon PRIVATE libclingcon Python::Module)
target_compile_definitions(pyclingcon PRIVATE _CFFI_NO_LIMITED_API)
set_target_properties(pyclingcon PROPERTIES
    FOLDER lib
    OUTPUT_NAME _clingcon
    SUFFIX ${PYCLINGCON_SUFFIX}
    PREFIX "")
if (CMAKE_RUNTIME_OUTPUT_DIRECTORY)
    set_target_properties(pyclingcon PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/python)
endif()
if (CMAKE_LIBRARY_OUTPUT_DIRECTORY)
    set_target_properties(pyclingcon PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_LIBRARY_OUTPUT_DIRECTORY}/python)
endif()
if (CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
    set_target_properties(pyclingcon PROPERTIES ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_ARCHIVE_OUTPUT_DIRECTORY}/python)
endif()

if (PYCLINGCON_INSTALL_DIR)
    file(TO_CMAKE_PATH "${PYCLINGCON_INSTALL_DIR}" _PYCLINGCON_INSTALL_DIR)
    install(TARGETS pyclingcon
        RUNTIME DESTINATION ${_PYCLINGCON_INSTALL_DIR}/clingcon
        LIBRARY DESTINATION ${_PYCLINGCON_INSTALL_DIR}/clingcon
        ARCHIVE DESTINATION ${_PYCLINGCON_INSTALL_DIR}/clingcon)
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/libpyclingcon/clingcon/
        DESTINATION ${_PYCLINGCON_INSTALL_DIR}/clingcon
        FILES_MATCHING
        PATTERN "*.py"
        PATTERN "*.typed"
        PATTERN "tests" EXCLUDE)
    if (NOT PYCLINGCON_ENABLE STREQUAL "pip")
        file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/INSTALLER "pip\n")
        file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/METADATA "Metadata-Version: 1.1\nName: clingcon\nVersion: ${CLINGCON_VERSION}\n")
        install(FILES
            ${CMAKE_CURRENT_BINARY_DIR}/INSTALLER
            ${CMAKE_CURRENT_BINARY_DIR}/METADATA
            DESTINATION ${_PYCLINGCON_INSTALL_DIR}/clingcon-${CLINGCON_VERSION}.dist-info)
    else()
        install(FILES ${CMAKE_SOURCE_DIR}/libclingcon/clingcon.h
            DESTINATION ${_PYCLINGCON_INSTALL_DIR}/clingcon)
    endif()
endif()

=== third_party/CMakeLists.txt ===
add_library(libwide-integer INTERFACE)
target_include_directories(libwide-integer INTERFACE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/wide-integer>")

=== libclingcon/tests/CMakeLists.txt ===
# [[[source: .
set(ide_source_group "Source Files")
set(source-group
    "${CMAKE_CURRENT_SOURCE_DIR}/assumptions.cc"
    "${CMAKE_CURRENT_SOURCE_DIR}/catch.hpp"
    "${CMAKE_CURRENT_SOURCE_DIR}/csp.cc"
    "${CMAKE_CURRENT_SOURCE_DIR}/fs.cc"
    "${CMAKE_CURRENT_SOURCE_DIR}/main.cc"
    "${CMAKE_CURRENT_SOURCE_DIR}/money.cc"
    "${CMAKE_CURRENT_SOURCE_DIR}/parsing.cc"
    "${CMAKE_CURRENT_SOURCE_DIR}/solve.hh"
    "${CMAKE_CURRENT_SOURCE_DIR}/util.cc")
source_group("${ide_source_group}" FILES ${source-group})
set(source
    ${source-group})
# ]]]

add_executable(test_clingcon ${source})
target_link_libraries(test_clingcon PRIVATE libclingcon_t)
target_include_directories(test_clingcon PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
)
set_target_properties(test_clingcon PROPERTIES FOLDER test)
if(MSVC)
    target_compile_definitions(test_clingcon PRIVATE _SCL_SECURE_NO_WARNINGS)
endif()

add_test(NAME test_clingcon COMMAND test_clingcon)

=== .github/ppa-wip/bionic/debian/changelog ===
clingcon (1.0.0) bionic; urgency=medium

  * initial release

 -- Roland Kaminski <kaminski@cs.uni-potsdam.de>  Fri, 02 Jan 2021 13:32:11 +0100

=== .github/ppa-wip/focal/debian/changelog ===
clingcon (1.0.0) focal; urgency=medium

  * initial release

 -- Roland Kaminski <kaminski@cs.uni-potsdam.de>  Fri, 02 Jan 2021 13:32:11 +0100

=== .github/ppa-wip/bionic/debian/control ===
Source: clingcon
Section: devel
Priority: optional
Maintainer: Roland Kaminski <kaminski@cs.uni-potsdam.de>
Build-Depends: debhelper-compat (= 11), dh-python, cmake, python3-dev, python3-cffi, libclingo-dev
Standards-Version: 4.4.1
Homepage: https://potassco.org/clingcon
Vcs-Browser: https://github.com/potassco/clingcon
Vcs-Git: https://github.com/potassco/clingcon.git

Package: clingcon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libclingcon (= ${binary:Version})
Description: A solver for logic programs with linear constraints
 This package contains the executables.

Package: python3-clingcon
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libclingcon (= ${binary:Version}), python3-cffi-backend
Description: A solver for logic programs with linear constraints
 This package contains python bindings for clingcon.

Package: libclingcon
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libclingo
Description: A solver for logic programs with linear constraints
 This package contains the shared library.

Package: libclingcon-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libclingcon (= ${binary:Version})
Description: A solver for logic programs with linear constraints
 This package contains the development files.

=== .github/ppa-wip/focal/debian/control ===
Source: clingcon
Section: devel
Priority: optional
Maintainer: Roland Kaminski <kaminski@cs.uni-potsdam.de>
Build-Depends: debhelper-compat (= 12), dh-python, cmake, python3-dev, python3-cffi, libclingo-dev
Standards-Version: 4.4.1
Homepage: https://potassco.org/clingcon
Vcs-Browser: https://github.com/potassco/clingcon
Vcs-Git: https://github.com/potassco/clingcon.git

Package: clingcon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libclingcon (= ${binary:Version})
Description: A solver for logic programs with linear constraints
 This package contains the executables.

Package: python3-clingcon
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, libclingcon (= ${binary:Version}), python3-cffi-backend
Description: A solver for logic programs with linear constraints
 This package contains python bindings for clingcon.

Package: libclingcon
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libclingo
Description: A solver for logic programs with linear constraints
 This package contains the shared library.

Package: libclingcon-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libclingcon (= ${binary:Version})
Description: A solver for logic programs with linear constraints
 This package contains the development files.
